# Enum Class Gff3Codec.Gff3Directive

java.lang.Object
java.lang.Enum<Gff3Codec.Gff3Directive>
htsjdk.tribble.gff.Gff3Codec.Gff3Directive

All Implemented Interfaces:
  `Serializable, Comparable<Gff3Codec.Gff3Directive>, Constable`

Enclosing class:
  `Gff3Codec`

public static enum Gff3Codec.Gff3Directive extends Enum<Gff3Codec.Gff3Directive>
Enum for parsing directive lines. If information in directive line needs to be parsed beyond specifying directive type, decode method should be overriden

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FASTA_DIRECTIVE`
`FLUSH_DIRECTIVE`
`SEQUENCE_REGION_DIRECTIVE`
`VERSION3_DIRECTIVE`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Pattern`
`regexPattern`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`decode(String line)`
`static Gff3Codec.Gff3Directive`
`toDirective(String line)`
`static Gff3Codec.Gff3Directive`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Gff3Codec.Gff3Directive[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VERSION3_DIRECTIVE

public static final Gff3Codec.Gff3Directive VERSION3_DIRECTIVE

### SEQUENCE_REGION_DIRECTIVE

public static final Gff3Codec.Gff3Directive SEQUENCE_REGION_DIRECTIVE

### FLUSH_DIRECTIVE

public static final Gff3Codec.Gff3Directive FLUSH_DIRECTIVE

### FASTA_DIRECTIVE

public static final Gff3Codec.Gff3Directive FASTA_DIRECTIVE

## Field Details

### regexPattern

protected final Pattern regexPattern

## Method Details

### values

public static Gff3Codec.Gff3Directive[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Gff3Codec.Gff3Directive valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toDirective

public static Gff3Codec.Gff3Directive toDirective(String line)

### decode

protected Object decode(String line) throws IOException

Throws:
  `IOException`